Subject: Re: What test suite exists for SCTP

From: Paolo Galtieri <[email-masked]>
Date: Tue, 05 Jun 2007 13:46:56 -0700

Vlad Yasevich wrote:
> Paolo Galtieri wrote:
>   
>> Vlad,
>>  what test suite exists for SCTP?  The lksctp-tools code hasn't been
>> updated since Feb of 2006, and I was wondering whether this version is
>> still the most useful.
>>
>> Thanks
>>     
>
> Hi Paolo
>
> I have a lksctp-tools tree on git.kernel.org that's up to date.  We'll need
> to release new tools when 2.6.22 ships.
>
> What kind of test suite are you looking for?  There is also a conformance test
> suite at http://sctp.fh-muenster.de/sctp-testtool.html, but I haven't played
> with it yet.
>
> I also have some home-grown tools that I really need to find time to clean-up and
> publish.
>
> -vlad
>
>   
Vlad,
  I'm looking for something that exercises the SCTP stack.   Something 
that can be run against different kernel versions for comparing features 
and regression testing.

Thanks
Paolo